Index: WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 1737)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/slip_template/macros/master">
     <metal:main fill-slot="main"
                 tal:define="info_acco context/getAccommodationInfo;
Index: WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt	(revision 1737)
@@ -4,5 +4,5 @@
   </span>
 <metal:block tal:condition="info"> 
-  <metal:body use-macro="here/main_template/macros/master">
+  <metal:body use-macro="here/slip_template/macros/master">
     <metal:main fill-slot="main">
     <span tal:condition="not: info">
Index: WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 1737)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/slip_template/macros/master">
     <metal:main fill-slot="main"
                 tal:define="info context/getApplicationInfo">
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 1737)
@@ -1,15 +1,15 @@
-<metal:block define-macro="clearance_edit_form">
- <metal:block use-macro="here/waeup_content_master/macros/master">
-  <metal:header fill-slot="header"
-           tal:define="
-               is_student context/isStudent;
-               is_staff context/isStaff;
-               is_so context/isSectionOfficer;
-               info context/getClearanceInfo;">
-    <metal:block use-macro="here/clearance_edit_lib/macros/header" />
-  </metal:header>
+<metal:definetemplate tal:define="template here/main_template/macros/master">
+<metal:definemacro define-macro="clearance_edit_form">
+<metal:usemacro use-macro=template>
+
   <metal:main fill-slot="main"
            tal:define="
-               info context/getClearanceInfo;
+               info context/getClearanceInfo;">
+               
+      <metal:block tal:condition="not: info">
+        <span tal:content="here/illegal_view" />
+      </metal:block>
+      <metal:block tal:condition="info">
+      <metal:block tal:define="               
                is_so context/isSectionOfficer;
                is_staff context/isStaff;
@@ -28,4 +28,29 @@
                form_action string:clearance_edit;
                creation python:False;">
+
+    <!--  Administration -->
+    <tal:block condition="python: not(is_staff or is_so or is_student)">
+      <metal:block use-macro="here/error_not_found/macros/not_found" />
+    </tal:block>
+    <tal:block condition="is_staff">
+      <h3> 
+        <span tal:condition="info">
+          <span tal:content="info/student/Title" />:
+        </span>
+        <span tal:content="here/title_or_id" />
+      </h3>
+      <br />    
+    </tal:block>
+    <!-- Student -->
+    <tal:block condition="python: is_student">
+      <a href=""
+         tal:attributes="href string:${here/academicsParent}">
+        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+        Up one level
+      </a>
+      <h3>Fill Your Clearance/Eligibility Form!</h3>
+      <br />    
+    </tal:block>
+
                
     <form action="ACTION" method="post" id="editForm"
@@ -47,5 +72,9 @@
         ajax feedback
       </div>
+    </metal:block>
+    </metal:block>          
   </metal:main>
- </metal:block>
-</metal:block>
+
+</metal:usemacro> 
+</metal:definemacro>
+</metal:definetemplate>
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 1737)
@@ -1,30 +1,5 @@
 <!--  clearance_edit_lib -->
 <!-- $Id$ -->
-<!--  header -->
-<metal:block define-macro="header">
-  <!--  Administration -->
-  <tal:block condition="python: not(is_staff or is_so or is_student)">
-    <metal:block use-macro="here/error_not_found/macros/not_found" />
-  </tal:block>
-  <tal:block condition="is_staff">
-    <h3> 
-      <span tal:condition="info">
-        <span tal:content="info/student/Title" />:
-      </span>
-      <span tal:content="here/title_or_id" />
-    </h3>
-    <br />    
-  </tal:block>
-  <!-- Student -->
-  <tal:block condition="python: is_student">
-    <a href=""
-       tal:attributes="href string:${here/academicsParent}">
-      <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-      Up one level
-    </a>
-    <h3>Fill Your Clearance/Eligibility Form!</h3>
-    <br />    
-  </tal:block>
-</metal:block>
+
 <!--  buttons -->
 <metal:block define-macro="buttons">
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt	(revision 1737)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/slip_template/macros/master">
     <metal:main fill-slot="main"
                  tal:define="info context/getClearanceInfo">
@@ -5,5 +5,5 @@
         <span tal:content="here/illegal_view" />
       </span>
-      <span tal:condition="info">
+      <span tal:omit-tag=""  tal:condition="info">
       <div style="text-align: right" tal:condition="info/penalty"> 
       <strong>Late Clearance!</strong></div>
@@ -26,5 +26,6 @@
           <td tal:content="sc/study_course" />
         </tr>
-        <span tal:define="f_id sc/faculty;
+        <span  tal:omit-tag="" 
+               tal:define="f_id sc/faculty;
                         d_id sc/department;
                         f_title context/academics/?f_id/Title|string:Faculty not yet in Prospectus;
Index: WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 1737)
@@ -1,4 +1,5 @@
+<metal:definetemplate tal:define="template here/waeup_content_master/macros/master">
 <metal:block define-macro="contact_student_form">
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro=template>
     <metal:main fill-slot="main"
                 tal:define="member python:context.portal_membership.getAuthenticatedMember();
@@ -80,2 +81,3 @@
 </metal:body>
 </metal:block>
+</metal:definetemplate>
Index: WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt	(revision 1737)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/slip_template/macros/master">
     <metal:main fill-slot="main"
                 tal:define="info context/getStudyLevelInfo;
Index: WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_slip.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_slip.pt	(revision 1737)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/slip_template/macros/master">
     <metal:main fill-slot="main"
                 tal:define="pume python:context.portal_pumeresults(jamb_reg_no=request.get('nr'))[0]">
Index: WAeUP_SRP/trunk/skins/waeup_student/external_clearance_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/external_clearance_edit_form.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/external_clearance_edit_form.pt	(revision 1737)
@@ -1,1 +1,5 @@
-<metal:block use-macro="here/clearance_edit_form/macros/clearance_edit_form" />
+<metal:definetemplate tal:define="template here/slip_template/macros/master">
+  <metal:block use-macro="here/clearance_edit_form/macros/clearance_edit_form" />
+</metal:definetemplate>
+  
+
Index: WAeUP_SRP/trunk/skins/waeup_student/external_contact_student_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/external_contact_student_form.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/external_contact_student_form.pt	(revision 1737)
@@ -1,1 +1,3 @@
-<metal:block use-macro="here/contact_student_form/macros/contact_student_form" />
+<metal:definetemplate tal:define="template here/slip_template/macros/master">
+  <metal:block use-macro="here/contact_student_form/macros/contact_student_form" />
+</metal:definetemplate>
Index: WAeUP_SRP/trunk/skins/waeup_student/external_study_level_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/external_study_level_view.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/external_study_level_view.pt	(revision 1737)
@@ -1,4 +1,4 @@
 <metal:html>
-  <metal:body use-macro="here/waeup_content_master/macros/master">
+  <metal:body use-macro="here/slip_template/macros/master">
     <metal:block fill-slot="header" 
                  tal:define="global info context/getStudyLevelInfo;
Index: WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt	(revision 1737)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/slip_template/macros/master">
   <metal:main fill-slot="main"
               tal:define="info context/getTransferInfo">
Index: WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_2.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_2.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_2.pt	(revision 1737)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/slip_template/macros/master">
   <metal:main fill-slot="main"
               tal:define="info context/getTransferInfo">
Index: WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_3.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_3.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_3.pt	(revision 1737)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/slip_template/macros/master">
   <metal:main fill-slot="main"
               tal:define="info context/getTransferInfo">
Index: WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_1.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_1.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_1.pt	(revision 1737)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/slip_template/macros/master">
   <metal:main fill-slot="main"
               tal:define="info context/getTransferInfo">
Index: WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_2.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_2.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_2.pt	(revision 1737)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/slip_template/macros/master">
   <metal:main fill-slot="main"
               tal:define="info context/getTransferInfo">
Index: WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_3.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_3.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_3.pt	(revision 1737)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/slip_template/macros/master">
   <metal:main fill-slot="main"
               tal:define="info context/getTransferInfo">
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt	(revision 1737)
@@ -7,10 +7,10 @@
                                  >
   <table>
-    <span tal:repeat="row layout/rows">
-        <span tal:repeat="cell row">
-          <span tal:condition="python:cell['widget_rendered'] 
+    <span tal:omit-tag=""  tal:repeat="row layout/rows">
+        <span  tal:omit-tag="" tal:repeat="cell row">
+          <span tal:omit-tag="" tal:condition="python:cell['widget_rendered'] 
                                and not cell['widget_rendered'] in ('None','-',)
                                or cell['widget_id'] == 'birth_certificate'">
-          <span tal:define="widget cell/widget"
+          <span tal:omit-tag=""  tal:define="widget cell/widget"
                 tal:condition="python:cell['widget_id'] not in fields_not_displayed">
             <div tal:omit-tag=""
@@ -22,5 +22,5 @@
             <tr>                         
             <tal:block condition="widget/label">
-            <td width="180px" valign="top" nowrap>
+            <td width="180px" valign="top">
               <span i18n:translate="" tal:condition="widget/is_i18n">
                   <span tal:content="widget/label" />:</span>
Index: WAeUP_SRP/trunk/skins/waeup_student/personal_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/personal_edit_form.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/personal_edit_form.pt	(revision 1737)
@@ -1,17 +1,12 @@
-<metal:body use-macro="here/waeup_content_master/macros/master">
-    <metal:block fill-slot="header"
-                  tal:define="info context/getPersonalInfo">
-      <a href=""
-         tal:attributes="href string:${here/academicsParent}">
-        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-        Up one level
-      </a>
-      <h3>Update Your Personal Data!</h3>
-      <br />
-    </metal:block>  
-  
+<metal:body use-macro="here/main_template/macros/master">
+
+
     <metal:main fill-slot="main"
-                  tal:define="info context/getPersonalInfo;
-                              rendered_main python:info['per_doc'].render(
+                  tal:define="info context/getPersonalInfo;">
+      <metal:block tal:condition="not: info">
+        <span tal:content="here/illegal_view" />
+      </metal:block>
+      <metal:block tal:condition="info">
+      <metal:block tal:define="rendered_main python:info['per_doc'].render(
                               layout_mode='edit',
                               schema_id = 'student_personal',
@@ -23,4 +18,12 @@
            metadata nothing;
             ">
+    <a href=""
+       tal:attributes="href string:${here/academicsParent}">
+      <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+      Up one level
+    </a>
+    <h3>Update Your Personal Data!</h3>
+    <br />            
+            
     <form action="ACTION" method="post" id="editForm"
           enctype="multipart/form-data" class="workflow"
@@ -37,4 +40,6 @@
              id="cpsdocument_edit_button"/>
     </form>
+    </metal:block>
+    </metal:block>    
     </metal:main>
 </metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt	(revision 1737)
@@ -2,4 +2,11 @@
            info item/getStudentWorkflowInfo;"
            condition="context/isStudent">       
+
+           
+<table>           
+<tr><td style="padding: 1em 0em 0.2em 0em;">
+   <strong>Registration Status:</strong>
+</td></tr>
+</table>
 
 <table class="registration" tal:condition="not:info/cr">
Index: WAeUP_SRP/trunk/skins/waeup_student/pume_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/pume_slip.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/pume_slip.pt	(revision 1737)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getStudentInfo"> 
-  <metal:body use-macro="here/main_template/macros/master">
+  <metal:body use-macro="here/slip_template/macros/master">
     <metal:main fill-slot="main">
       <span tal:condition="not: info">
Index: WAeUP_SRP/trunk/skins/waeup_student/session_results_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/session_results_slip.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/session_results_slip.pt	(revision 1737)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/slip_template/macros/master">
     <metal:main fill-slot="main"
                 tal:define="info context/getSessionResults">
Index: WAeUP_SRP/trunk/skins/waeup_student/start_clearance.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/start_clearance.py	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/start_clearance.py	(revision 1737)
@@ -84,5 +84,5 @@
 dc['clr_ac_date'] = current
 dc['entry_date'] = current
-dc['entry_session'] = "2006/2007"
+#dc['entry_session'] = "2006/2007"
 wf.doActionFor(info['app'],'close')
 info['clear_doc'].edit(mapping = dc)
Index: WAeUP_SRP/trunk/skins/waeup_student/student_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 1733)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 1737)
@@ -1,14 +1,14 @@
 <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main" 
-           tal:define="info context/getStudentFolderInfo;
-                is_so info/is_sectionofficer|nothing;
-                is_staff info/is_staff|nothing;
-                is_student info/is_student">
-      <span tal:condition="not: info">
+           tal:define="info context/getStudentFolderInfo;">
+      <metal:block tal:condition="not: info">
         <span tal:content="here/illegal_view" />
-      </span>
-      <span tal:condition="info"
-            tal:define="review_state info/review_state;
-                        rows python: info['items']">
+      </metal:block>
+      <metal:block tal:condition="info">
+      <metal:block tal:define="review_state info/review_state;
+                        rows python: info['items'];
+                        is_so info/is_sectionofficer|nothing;
+                        is_staff info/is_staff|nothing;
+                        is_student info/is_student">
 
       <a href="" tal:condition="is_staff"
@@ -103,5 +103,6 @@
     </table>
         
-    </span>
+    </metal:block>
+    </metal:block>
     </metal:main>
 </metal:body>