Index: /WAeUP_SRP/trunk/profiles/default/skins.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/skins.xml	(revision 1738)
+++ /WAeUP_SRP/trunk/profiles/default/skins.xml	(revision 1739)
@@ -9,4 +9,6 @@
  <object name="waeup_design" meta_type="Filesystem Directory View"
     directory="WAeUP_SRP/skins/waeup_design"/>
+ <object name="waeup_design" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_images"/>    
  <object name="waeup_directory" meta_type="Filesystem Directory View"
     directory="WAeUP_SRP/skins/waeup_directory"/>
@@ -22,5 +24,5 @@
     directory="WAeUP_SRP/skins/waeup_student"/>
  <object name="waeup_utilities" meta_type="Filesystem Directory View"
-    directory="WAeUP_SRP/skins/waeup_utilities"/>    
+    directory="WAeUP_SRP/skins/waeup_utilities"/>
  <skin-path name="CPSSkins">
   <layer name="waeup_custom" insert-after="custom"/>
@@ -32,5 +34,6 @@
   <layer name="waeup_academics" insert-after="waeup_custom"/>
   <layer name="waeup_accommodation" insert-after="waeup_custom"/>
-  <layer name="waeup_utilities" insert-after="waeup_custom"/>  
+  <layer name="waeup_utilities" insert-after="waeup_custom"/>
+  <layer name="waeup_images" insert-after="waeup_custom"/>   
   <layer name="waeup_design" insert-after="waeup_custom"/>
   <layer name="CPSSkins" remove="" />
@@ -49,5 +52,6 @@
   <layer name="waeup_academics" insert-after="waeup_custom"/>
   <layer name="waeup_accommodation" insert-after="waeup_custom"/>
-  <layer name="waeup_utilities" insert-after="waeup_custom"/> 
+  <layer name="waeup_utilities" insert-after="waeup_custom"/>
+  <layer name="waeup_images" insert-after="waeup_custom"/>  
   <layer name="waeup_design" insert-after="waeup_custom"/>
   <layer name="CPSSkins" remove="" />
Index: /WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Backoffice/render.css.dtml
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Backoffice/render.css.dtml	(revision 1738)
+++ /WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Backoffice/render.css.dtml	(revision 1739)
@@ -1,3 +1,3 @@
-.portalTabTabStyle ul.cpsskinsMenu li a{background:url(images/waeup_staff_tab_full_2.png) left top no-repeat}
+.portalTabTabStyle ul.cpsskinsMenu li a{background:url(waeup_staff_tab_full_2.png) left top no-repeat}
 .colorBarColor{border-color:#B9B9B9;background-color:#B9B9B9;color:#FFFF}
 .colorBarAreaColor{border-color:#B9B9B9;background-color:#FFFFFF;color:#000000}
Index: /WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Student/render.css.dtml
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Student/render.css.dtml	(revision 1738)
+++ /WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Student/render.css.dtml	(revision 1739)
@@ -1,3 +1,3 @@
-.portalTabTabStyle ul.cpsskinsMenu li a{background:url(images/waeup_student_tab.png) left top no-repeat}
+.portalTabTabStyle ul.cpsskinsMenu li a{background:url(waeup_student_tab.png) left top no-repeat}
 .colorBarColor{border-color:#FFCE81;background-color:#FFCE81;color:#000000}
 .colorBarAreaColor{border-color:#FFCE81;background-color:#FFF;color:#000000}
Index: /WAeUP_SRP/trunk/skins/waeup_design/main_template.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 1738)
+++ /WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 1739)
@@ -97,9 +97,9 @@
             <td style="width: 20px;" valign="top"></td>
             <td valign="top" style="width: 80px; padding: 0.5em; text-align: right;">
-              <img tal:attributes="src string:${base_url}images/uniben_mark.jpg"  alt="Logo"
+              <img tal:attributes="src string:${base_url}uniben_mark.jpg"  alt="Logo"
                        height="84" width="82" />
             </td>
             <td style="padding: 2em 0em 0em 0em; text-align: left;" valign="top">
-              <img tal:attributes="src string:${base_url}images/uniben_logo.gif" 
+              <img tal:attributes="src string:${base_url}uniben_logo.gif" 
                        alt="Logo" height="51" width="234" />
             </td>
Index: /WAeUP_SRP/trunk/skins/waeup_design/slip_template.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/slip_template.pt	(revision 1738)
+++ /WAeUP_SRP/trunk/skins/waeup_design/slip_template.pt	(revision 1739)
@@ -89,9 +89,9 @@
           <td style="width: 20px;" valign="top"></td>
           <td valign="top" style="width: 80px; padding: 0.5em; text-align: right;">
-            <img tal:attributes="src string:${base_url}images/uniben_mark.jpg"  alt="Logo"
+            <img tal:attributes="src string:${base_url}uniben_mark.jpg"  alt="Logo"
                      height="84" width="82" />
           </td>
           <td style="padding: 2em 0em 0em 0em; text-align: left;" valign="top">
-            <img tal:attributes="src string:${base_url}images/uniben_logo.gif" 
+            <img tal:attributes="src string:${base_url}uniben_logo.gif" 
                      alt="Logo" height="51" width="234" />
           </td>
Index: /WAeUP_SRP/trunk/skins/waeup_design/widget_portlet_actions.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/widget_portlet_actions.pt	(revision 1738)
+++ /WAeUP_SRP/trunk/skins/waeup_design/widget_portlet_actions.pt	(revision 1739)
@@ -17,5 +17,5 @@
          <tal:block condition="python:show_icons and not icon_tag">
            <img tal:attributes="src
-             string:${base_url}images/noicon.png;
+             string:${base_url}noicon.png;
              alt action/title" />
          </tal:block>