Index: /WAeUP_SRP/trunk/PatchRenderActionIcon.py
===================================================================
--- /WAeUP_SRP/trunk/PatchRenderActionIcon.py	(revision 1742)
+++ /WAeUP_SRP/trunk/PatchRenderActionIcon.py	(revision 1743)
@@ -33,5 +33,5 @@
         if img is None:
             return None
-        img_tag = IMG_TAG % (base_url + icon_path,
+        img_tag = IMG_TAG % (icon_path,
                              getattr(img, 'width', 0),
                              getattr(img, 'height', 0),
Index: /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_breadcrumbs.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_breadcrumbs.xml	(revision 1743)
+++ /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_breadcrumbs.xml	(revision 1743)
@@ -0,0 +1,45 @@
+<?xml version="1.0"?>
+<object name="portlet_breadcrumbs" meta_type="CPS Portlet"
+   portal_type="Breadcrumbs Portlet">
+ <f id="Contributors">
+  <e v="Bettermann Henrik"/>
+  <e v="Henrik Bettermann"/>
+  <e v="admin"/>
+  <e v="SRP Manager"/>
+  <e v="Perry Schmitz"/>
+ </f>
+ <f id="Coverage" v=""/>
+ <f id="CreationDate" v="20061129154357Z"/>
+ <f id="Creator" v="admin"/>
+ <f id="Description" v=""/>
+ <f id="EffectiveDate" v=""/>
+ <f id="ExpirationDate" v=""/>
+ <f id="Format" v="text/html"/>
+ <f id="Language" v=""/>
+ <f id="ModificationDate" v="20070420061940Z"/>
+ <f id="Relation" v=""/>
+ <f id="Rights" v=""/>
+ <f id="Source" v=""/>
+ <f id="Subject"/>
+ <f id="Title" v="Breadcrumbs Portlet"/>
+ <f id="allow_discussion" v="False"/>
+ <f id="cache_cleanup_date" v="0.0"/>
+ <f id="cache_params"/>
+ <f id="cache_timeout" v="300"/>
+ <f id="disable_override" v="0"/>
+ <f id="display" v="horizontal_trail"/>
+ <f id="display_hidden_folders" v="True"/>
+ <f id="display_site_root" v="False"/>
+ <f id="first_item" v="1"/>
+ <f id="highlight_last_item" v="0"/>
+ <f id="identifier" v="portlet_778397189"/>
+ <f id="javascript" v=""/>
+ <f id="layout" v=""/>
+ <f id="order" v="0"/>
+ <f id="portlet" v=""/>
+ <f id="preview"/>
+ <f id="provider" v=""/>
+ <f id="slot" v="user_actions"/>
+ <f id="slot_override" v="0"/>
+ <f id="visibility_range" v="0-0"/>
+</object>
Index: /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_breadcrumbs2.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_breadcrumbs2.xml	(revision 1743)
+++ /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_breadcrumbs2.xml	(revision 1743)
@@ -0,0 +1,44 @@
+<?xml version="1.0"?>
+<object name="portlet_breadcrumbs2" meta_type="CPS Portlet"
+   portal_type="Breadcrumbs Portlet">
+ <f id="Contributors">
+  <e v="Henrik Bettermann"/>
+  <e v="admin"/>
+  <e v="SRP Manager"/>
+  <e v="Perry Schmitz"/>
+ </f>
+ <f id="Coverage" v=""/>
+ <f id="CreationDate" v="20061129154357Z"/>
+ <f id="Creator" v="admin"/>
+ <f id="Description" v=""/>
+ <f id="EffectiveDate" v=""/>
+ <f id="ExpirationDate" v=""/>
+ <f id="Format" v="text/html"/>
+ <f id="Language" v=""/>
+ <f id="ModificationDate" v="20070420061940Z"/>
+ <f id="Relation" v=""/>
+ <f id="Rights" v=""/>
+ <f id="Source" v=""/>
+ <f id="Subject"/>
+ <f id="Title" v="Breadcrumbs Portlet2"/>
+ <f id="allow_discussion" v="False"/>
+ <f id="cache_cleanup_date" v="0.0"/>
+ <f id="cache_params"/>
+ <f id="cache_timeout" v="300"/>
+ <f id="disable_override" v="0"/>
+ <f id="display" v="horizontal_trail"/>
+ <f id="display_hidden_folders" v="True"/>
+ <f id="display_site_root" v="True"/>
+ <f id="first_item" v="2"/>
+ <f id="highlight_last_item" v="0"/>
+ <f id="identifier" v="portlet_951449960"/>
+ <f id="javascript" v=""/>
+ <f id="layout" v=""/>
+ <f id="order" v="0"/>
+ <f id="portlet" v=""/>
+ <f id="preview"/>
+ <f id="provider" v=""/>
+ <f id="slot" v="bread_slot"/>
+ <f id="slot_override" v="0"/>
+ <f id="visibility_range" v="0-0"/>
+</object>
Index: /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_search.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_search.xml	(revision 1743)
+++ /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_search.xml	(revision 1743)
@@ -0,0 +1,42 @@
+<?xml version="1.0"?>
+<object name="portlet_search" meta_type="CPS Portlet"
+   portal_type="Search Portlet">
+ <f id="Contributors">
+  <e v="admin"/>
+  <e v="Henrik Bettermann"/>
+  <e v="SRP Manager"/>
+  <e v="Perry Schmitz"/>
+ </f>
+ <f id="Coverage" v=""/>
+ <f id="CreationDate" v="20061129154337Z"/>
+ <f id="Creator" v="admin"/>
+ <f id="Description" v=""/>
+ <f id="EffectiveDate" v=""/>
+ <f id="ExpirationDate" v=""/>
+ <f id="Format" v="text/html"/>
+ <f id="Language" v=""/>
+ <f id="ModificationDate" v="20070420061941Z"/>
+ <f id="Relation" v=""/>
+ <f id="Rights" v=""/>
+ <f id="Source" v=""/>
+ <f id="Subject"/>
+ <f id="Title" v="Search Portlet"/>
+ <f id="advanced_search_link" v="1"/>
+ <f id="allow_discussion" v="False"/>
+ <f id="cache_cleanup_date" v="1137609905.48"/>
+ <f id="cache_params"/>
+ <f id="cache_timeout" v="0"/>
+ <f id="context_is_portlet" v="0"/>
+ <f id="contextual_search_choice" v="0"/>
+ <f id="disable_override" v="0"/>
+ <f id="dummy" v=""/>
+ <f id="identifier" v="portlet_search"/>
+ <f id="javascript" v="widget_portlet_search_js"/>
+ <f id="order" v="0"/>
+ <f id="portlet" v=""/>
+ <f id="preview"/>
+ <f id="provider" v=""/>
+ <f id="slot" v="search"/>
+ <f id="slot_override" v="0"/>
+ <f id="visibility_range" v="0-0"/>
+</object>
Index: /WAeUP_SRP/trunk/profiles/default/portlets.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/portlets.xml	(revision 1742)
+++ /WAeUP_SRP/trunk/profiles/default/portlets.xml	(revision 1743)
@@ -5,5 +5,4 @@
  <cache-parameters type="Actions Portlet">
   <element value="actions:(categories)"/>
-  <element value="current_lang"/>
   <element value="user"/>
   <element value="object:path"/>
@@ -12,5 +11,4 @@
   <element value="portal_type"/>
   <element value="wf_create"/>
-  <element value="current_lang"/>
  </cache-parameters>
  <cache-parameters type="Breadcrumbs Portlet">
@@ -30,5 +28,4 @@
   <element value="event_on_types:(searchable_types)"/>
   <element value="baseurl"/>
-  <element value="current_lang"/>
  </cache-parameters>
  <cache-parameters type="Custom Portlet"/>
@@ -59,5 +56,4 @@
   <element value="event_ids:rss_channel_refresh"/>
   <element value="timeout:10"/>
-  <element value="current_lang"/>
  </cache-parameters>
  <cache-parameters type="Rotating Image Portlet">
Index: /WAeUP_SRP/trunk/skins/waeup_design/main_template.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 1742)
+++ /WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 1743)
@@ -77,16 +77,6 @@
           style="margin: 0px;"
           tal:attributes="onload here/getOnLoad|string:setFocus();">
-      <div>
-        <a href="http://uniben.waeup.org/accessibility"
-           accesskey="0"></a>
-        <a href="http://uniben.waeup.org/" accesskey="1"></a>
-        <a href="#content" accesskey="2"></a>
-        <a href="#menu" accesskey="3"></a>
-        <a href="http://uniben.waeup.org/advanced_search_form"
-           accesskey="4"></a>
-        <a href="http://uniben.waeup.org/" accesskey="7"></a>
-      </div>
       
-      
+     
       <table summary="Logo Block"
              style="margin-left: auto; margin-right: auto; width: 100%;"
Index: /WAeUP_SRP/trunk/skins/waeup_design/widget_portlet_actions.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/widget_portlet_actions.pt	(revision 1742)
+++ /WAeUP_SRP/trunk/skins/waeup_design/widget_portlet_actions.pt	(revision 1743)
@@ -14,5 +14,5 @@
                        class python:show_icons and icon_tag and 'noicon' or None">
          <tal:block condition="python:show_icons and icon_tag"
-           content="string:${base_url}icon_tag"/>
+           content="structure icon_tag"/>
          <tal:block condition="python:show_icons and not icon_tag">
            <img tal:attributes="src