Index: /WAeUP_SRP/trunk/Students.py
===================================================================
--- /WAeUP_SRP/trunk/Students.py	(revision 1748)
+++ /WAeUP_SRP/trunk/Students.py	(revision 1749)
@@ -519,5 +519,5 @@
             catalog_entry['level'] = '100'
             dsc['study_course'] = cert_id
-            dsc['entry_level'] = '100'
+            #dsc['entry_level'] = '100'
             #dsc['entry_session'] = jamb.get(csv_d['session'])
             study_course.getContent().edit(mapping=dsc)
@@ -546,12 +546,12 @@
         wftool = self.portal_workflow
         students_folder = self.portal_catalog({'meta_type': 'StudentsFolder'})[-1].getObject()
-        entry_levels = {'ume_ft':'100',
-                        'de_ft': '200',
-                        'ug_pt': '100',
-                        'de_pt': '200',
-                        'pg_ft': '700',
-                        'pg_pt': '700',
-                        'dp_pt': '100',
-                        'dp_ft': '100',
+        #entry_levels = {'ume_ft':'100',
+        #                'de_ft': '200',
+        #                'ug_pt': '100',
+        #                'de_pt': '200',
+        #                'pg_ft': '700',
+        #                'pg_pt': '700',
+        #                'dp_pt': '100',
+        #                'dp_ft': '100',
                         }
         csv_d = {'jamb_reg_no': "reg_no",
@@ -640,5 +640,5 @@
             catalog_entry['email'] = da['app_email']
             catalog_entry['entry_mode'] = da['entry_mode']
-            catalog_entry['entry_level'] = da["entry_level"] = entry_levels.get(da['entry_mode'],'100')
+            #catalog_entry['entry_level'] = da["entry_level"] = entry_levels.get(da['entry_mode'],'100')
             app = student.application
             app_doc = app.getContent()
@@ -707,5 +707,5 @@
             #catalog_entry['level'] = getattr(cert_doc,'start_level')
             catalog_entry['session'] = dsc['current_session'] = da['entry_session']
-            catalog_entry['level'] = dsc['current_level'] = entry_levels.get(da['entry_mode'],'100')
+            #catalog_entry['level'] = dsc['current_level'] = entry_levels.get(da['entry_mode'],'100')
             catalog_entry['mode'] = dsc['current_mode'] = da['entry_mode']
             catalog_entry['course'] = dsc['study_course'] = cert_id
Index: /WAeUP_SRP/trunk/WAeUPTables.py
===================================================================
--- /WAeUP_SRP/trunk/WAeUPTables.py	(revision 1748)
+++ /WAeUP_SRP/trunk/WAeUPTables.py	(revision 1749)
@@ -231,10 +231,10 @@
     key = "id"
     affected_types = {   ###(
-                      'StudentApplication': 
+                      'StudentApplication':
                           {'id': 'application',
                            'fields':
                              ('jamb_reg_no',
                               'entry_mode',
-                              'entry_level',
+                              #'entry_level',
                               'entry_session',
                               )
@@ -334,5 +334,5 @@
         cm = getattr(doc,'current_mode',None)
         return cm
-        
+
 
     def get_from_doc_session(self,doc):
@@ -385,5 +385,5 @@
         if isinstance(name, str):
             name = (name,)
-        reindextypes = {} 
+        reindextypes = {}
         reindex_special = []
         #import pdb;pdb.set_trace()
@@ -459,5 +459,5 @@
                                                         portal_type = "StudentCourseResult")
                     course_ids = [cr.getId for cr in result_brains]
-                    courses = [] 
+                    courses = []
                     for c in course_ids:
                         if c.endswith('_co'):
@@ -520,5 +520,5 @@
                 if study_course and current_level and current_level in study_course.objectIds():
                     level_obj = getattr(study_course,current_level)
-                    courses = [] 
+                    courses = []
                     for c in level_obj.objectIds():
                         if c.endswith('_co'):
@@ -526,5 +526,5 @@
                         else:
                             courses.append(c)
-                    data['registered_courses'] = courses 
+                    data['registered_courses'] = courses
             self.addRecord(**data)
         if pghandler: pghandler.finish()
@@ -568,5 +568,5 @@
             if not registered_courses:
                 level_obj = object.aq_parent
-                courses = [] 
+                courses = []
                 for c in level_obj.objectIds():
                     if c.endswith('_co'):
@@ -575,5 +575,5 @@
                         courses.append(c)
                 #from pdb import set_trace;set_trace()
-                registered_courses = courses 
+                registered_courses = courses
             else:
                 if event_type == "sys_add_object":
@@ -675,5 +675,5 @@
             data = {}
             for field in self.schema():
-                data[field] = getattr(course_doc,field,None) 
+                data[field] = getattr(course_doc,field,None)
             data[self.key] = course_brain.getId
             ai = pl.index('academics')
@@ -712,5 +712,5 @@
                 return
             for field in self.schema():
-                data[field] = getattr(doc,field,None) 
+                data[field] = getattr(doc,field,None)
             data[self.key] = course_id
             ai = rpl.index('academics')
@@ -725,5 +725,5 @@
             #from pdb import set_trace;set_trace()
             for field in self.schema():
-                data[field] = getattr(object,field,None) 
+                data[field] = getattr(object,field,None)
             course_id = object.aq_parent.getId()
             data[self.key] = course_id
Index: /WAeUP_SRP/trunk/WAeUPTool.py
===================================================================
--- /WAeUP_SRP/trunk/WAeUPTool.py	(revision 1748)
+++ /WAeUP_SRP/trunk/WAeUPTool.py	(revision 1749)
@@ -68,5 +68,5 @@
 
     student_field2types = {   ###(
-                      'StudentApplication': 
+                      'StudentApplication':
                           {'id': 'application',
                            'title': 'Application Data',
@@ -74,5 +74,5 @@
                              ('jamb_reg_no',
                               'entry_mode',
-                              'entry_level',
+                              #'entry_level',
                               'entry_session',
                               'jamb_score',
@@ -93,5 +93,5 @@
                            'fields':
                              ('matric_no',
-                              'entry_level',
+                              #'entry_level',
                               'entry_session',
                               'nationality',
@@ -268,10 +268,10 @@
             d = {'Title': f2t[pt]['title']}
             for field in f2t[pt]['fields']:
-                d[field] = dict.get(field,'') 
+                d[field] = dict.get(field,'')
             if pt == 'StudentPersonal':
                 d['sex'] = dict.get('sex') == 'F'
             sub_doc.edit(mapping = d)
             self.portal_workflow.doActionFor(sub_obj,'close',dest_container=sub_obj)
-            
+
         entry_session = dict.get('entry_session')
         wfaction = 'return'
@@ -705,10 +705,10 @@
             res = self.students_catalog(jamb_reg_no = jamb_reg_no)
             if res:
-                return '',"jamb_reg_no exists" 
+                return '',"jamb_reg_no exists"
         matric_no = dict.get('matric_no',None)
         if matric_no:
             res = self.students_catalog(matric_no = matric_no)
             if res:
-                return '',"matric_no exists" 
+                return '',"matric_no exists"
         sid = self.waeup_tool.generateStudentId('?')
         students_folder.invokeFactory('Student', sid)
@@ -724,5 +724,5 @@
             d = {'Title': f2t[pt]['title']}
             for field in f2t[pt]['fields']:
-                d[field] = dict.get(field,'') 
+                d[field] = dict.get(field,'')
             if pt == 'StudentPersonal':
                 d['sex'] = dict.get('sex') == 'F'
@@ -749,5 +749,5 @@
         tr_count = 1
         total = 0
-        iname = "import_%s" % name 
+        iname = "import_%s" % name
         stool = getToolByName(self, 'portal_schemas')
         ltool = getToolByName(self, 'portal_layouts')
@@ -762,5 +762,5 @@
         validators = {}
         for widget in layout.keys():
-            validators[widget] = layout[widget].validate  
+            validators[widget] = layout[widget].validate
         creator = getattr(self, 'create_%s' % name,None)
         if creator is None:
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 1748)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 1749)
@@ -71,4 +71,18 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+ <widget name="entry_session" meta_type="String Widget">
+  <property name="title">Entry Session</property>
+  <property name="fields">
+   <element value="entry_session"/>
+  </property>
+  <property name="label">Entry Session</property>
+  <property name="label_edit">Entry Session</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>  
  <widget name="jamb_age" meta_type="Int Widget">
   <property name="title">JAMB Age</property>
@@ -300,4 +314,7 @@
   </row>
   <row>
+   <cell name="entry_session" ncols="3"/>
+  </row>  
+  <row>
    <cell name="jamb_first_cos" ncols="3"/>
   </row>
Index: /WAeUP_SRP/trunk/profiles/default/students_catalog.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/students_catalog.xml	(revision 1748)
+++ /WAeUP_SRP/trunk/profiles/default/students_catalog.xml	(revision 1749)
@@ -40,7 +40,4 @@
   <indexed_attr value="level"/>
  </index>
- <index name="entry_level" meta_type="FieldIndex">
-  <indexed_attr value="entry_level"/>
- </index>
  <index name="mode" meta_type="FieldIndex">
   <indexed_attr value="mode"/>
@@ -67,5 +64,4 @@
  <column value="email"/>
  <column value="phone"/>
- <column value="entry_level"/>
  <column value="level"/>
  <column value="mode"/>