Index: WAeUP_SRP/trunk/WAeUPTool.py
===================================================================
--- WAeUP_SRP/trunk/WAeUPTool.py	(revision 1751)
+++ WAeUP_SRP/trunk/WAeUPTool.py	(revision 1752)
@@ -252,6 +252,6 @@
     ###)
 
-    security.declareProtected(ModifyPortalContent,'createStudent') ###(
-    def createStudent(self,dict):
+    security.declareProtected(ModifyPortalContent,'addStudent') ###(
+    def addStudent(self,dict):
         students_folder = self.portal_url.getPortalObject().campus.students
         sid = self.waeup_tool.generateStudentId('?')
@@ -696,6 +696,6 @@
     ###)
 
-    security.declareProtected(ModifyPortalContent,'create_student') ###(
-    def create_student(self,dict):
+    security.declareProtected(ModifyPortalContent,'import_student') ###(
+    def import_student(self,dict):
         "create a students data"
         logger = logging.getLogger('WAeUPTool.create_student')
@@ -729,9 +729,6 @@
             sub_doc.edit(mapping = d)
             self.portal_workflow.doActionFor(sub_obj,'close',dest_container=sub_obj)
-##        entry_session = dict.get('entry_session')
-##        wfaction = 'return'
-##        if entry_session == self.getSessionId():
-##            wfaction = 'admit'
-##        self.portal_workflow.doActionFor(student_obj,wfaction)
+        wfaction = 'return'
+        self.portal_workflow.doActionFor(student_obj,wfaction)
         student_obj.manage_setLocalRoles(sid, ['Owner',])
         return sid,''
@@ -763,5 +760,5 @@
         for widget in layout.keys():
             validators[widget] = layout[widget].validate
-        creator = getattr(self, 'create_%s' % name,None)
+        creator = getattr(self, 'import_%s' % name,None)
         if creator is None:
             logger.error('No creator function create_%s' % name)
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml	(revision 1751)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml	(revision 1752)
@@ -107,4 +107,7 @@
  <widget name="secret" meta_type="Secret Widget">
   <property name="title">Secret Widget</property>
+  <property name="fields">
+   <element value="secret"/>
+  </property>
   <property name="check_fields">
    <element value="Firstname"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1751)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1752)
@@ -19,4 +19,17 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="current_session" meta_type="Select Widget">
+  <property name="title">Current Study session</property>
+  <property name="fields">
+   <element value="current_session"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Current Session</property>
+  <property name="label_edit">Current Session</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">sessions</property>
  </widget>
  <widget name="current_level" meta_type="Select Widget">
@@ -64,4 +77,7 @@
   </row>
   <row>
+   <cell name="current_session"/>
+  </row>
+  <row>
    <cell name="current_verdict"/>
   </row>
Index: WAeUP_SRP/trunk/skins/waeup_student/add_student.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/add_student.py	(revision 1751)
+++ WAeUP_SRP/trunk/skins/waeup_student/add_student.py	(revision 1752)
@@ -62,5 +62,5 @@
 dict = {}
 dict.update(ds)
-sid,password = context.waeup_tool.createStudent(dict)
+sid,password = context.waeup_tool.addStudent(dict)
 dict['sid'] = sid
 dict['password'] = password