Index: /WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml	(revision 1753)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml	(revision 1754)
@@ -115,4 +115,16 @@
   <property name="vocabulary">entry_modes</property>
  </widget>
+  <widget name="current_mode" meta_type="Select Widget">
+  <property name="title">Current Mode</property>
+  <property name="fields">
+   <element value="current_mode"/>
+  </property>
+  <property name="label">Current Mode</property>
+  <property name="label_edit">Current Mode</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">entry_modes</property>
+ </widget>
  <widget name="current_session" meta_type="Select Widget">
   <property name="title">Current Session</property>
@@ -122,6 +134,6 @@
   <property name="label">Current Session</property>
   <property name="label_edit">Current Session</property>
-  <property name="description">The currently paid session</property>
-  <property name="help">The last session the student has paid his schoolfee</property>
+  <property name="description">The last session school fee has been paid for</property>
+  <property name="help">The last session school fee has been paid for</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -136,6 +148,6 @@
   <property name="label">Current Level</property>
   <property name="label_edit">Current Level</property>
-  <property name="description">The level of the last paid session</property>
-  <property name="help">The last level the student has paid his schoolfee</property>
+  <property name="description">The last level school fee has been paid for</property>
+  <property name="help">The last level school fee has been paid for</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -151,5 +163,5 @@
   <property name="label_edit">Current Verdict</property>
   <property name="description">The verdict of the current level</property>
-  <property name="help">The verdict of the level the student has paid his schoolfee</property>
+  <property name="help">The verdict of the current level</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -192,5 +204,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="display_width">3</property>
- </widget> 
+ </widget>
  <widget name="matric_no" meta_type="String Widget">
   <property name="title">Matriculation No</property>
@@ -258,12 +270,24 @@
   </row>
   <row>
+   <cell name="current_mode"/>
+  </row>  
+  <row>
    <cell name="entry_session"/>
   </row>
   <row>
+   <cell name="current_session"/>
+  </row>
+  <row>
+   <cell name="current_level"/>
+  </row>
+  <row>
+   <cell name="current_verdict"/>
+  </row>
+  <row>
    <cell name="jamb_reg_no"/>
   </row>
   <row>
    <cell name="jamb_score"/>
-  </row>  
+  </row>
   <row>
    <cell name="matric_no"/>
@@ -272,13 +296,5 @@
    <cell name="study_course"/>
   </row>
-  <row>
-   <cell name="current_session"/>
-  </row>
-  <row>
-   <cell name="current_level"/>
-  </row>
-  <row>
-   <cell name="current_verdict"/>
-  </row>
+ 
  </table>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/import_student.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/import_student.xml	(revision 1753)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/import_student.xml	(revision 1754)
@@ -20,4 +20,5 @@
  <field name="current_session" meta_type="CPS String Field"/>
  <field name="current_verdict" meta_type="CPS String Field"/>
- <field name="perm_address" meta_type="CPS String Field"/> 
+ <field name="current_mode" meta_type="CPS String Field"/> 
+ <field name="perm_address" meta_type="CPS String Field"/>
 </object>