Index: WAeUP_SRP/trunk/WAeUPTool.py
===================================================================
--- WAeUP_SRP/trunk/WAeUPTool.py	(revision 1758)
+++ WAeUP_SRP/trunk/WAeUPTool.py	(revision 1759)
@@ -240,5 +240,5 @@
     def get_csv_filenames(self):
         "do it"
-        files = [file for file in os.listdir("%s/import/" % (i_home)) 
+        files = [file for file in os.listdir("%s/import/" % (i_home))
                  if file.endswith('.csv') and file.find('imported') == -1]
         return files
@@ -352,19 +352,19 @@
         clearance.getContent().edit(mapping=dc)
         self.portal_workflow.doActionFor(clearance,'close',dest_container=clearance)
-        catd = {}
-        catd['id'] = sid
-        catd['entry_mode']= da['entry_mode']
-        catd['matric_no'] = matric_no
-        catd['jamb_reg_no'] = da['jamb_reg_no']
-        catd['name'] = "%(firstname)s %(middlename)s %(lastname)s" % dp
-        catd['sex'] = dp['sex']
-        catd['level'] = level
-        catd['verdict'] = verdict
-        if certificate_brain:
-            cpath = certificate_brain.getPath().split('/')
-            catd['faculty'] = cpath[-4]
-            catd['department'] = cpath[-3]
-            catd['course'] = certcode
-        self.students_catalog.modifyRecord(**catd)
+##        catd = {}
+##        catd['id'] = sid
+##        catd['entry_mode']= da['entry_mode']
+##        catd['matric_no'] = matric_no
+##        catd['jamb_reg_no'] = da['jamb_reg_no']
+##        catd['name'] = "%(firstname)s %(middlename)s %(lastname)s" % dp
+##        catd['sex'] = dp['sex']
+##        catd['level'] = level
+##        catd['verdict'] = verdict
+##        if certificate_brain:
+##            cpath = certificate_brain.getPath().split('/')
+##            catd['faculty'] = cpath[-4]
+##            catd['department'] = cpath[-3]
+##            catd['course'] = certcode
+##        self.students_catalog.modifyRecord(**catd)
         #
         # Study Course
@@ -377,4 +377,5 @@
         dsc['current_level'] = level
         dsc['current_verdict'] = verdict
+        dsc['current_session'] = '06'
         studycourse.getContent().edit(mapping=dsc)
         #
@@ -852,5 +853,5 @@
             open("%s/import/%s_not_imported%s.csv" % (i_home,filename,current),"a").write(
                                                 '\n'.join(not_imported))
-        em = "Imported: %d, not imported: %d of total %d" % (total_imported,total_not_imported,total) 
+        em = "Imported: %d, not imported: %d of total %d" % (total_imported,total_not_imported,total)
         logger.info(em)
         return em
Index: WAeUP_SRP/trunk/skins/waeup_default/import_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/import_form.pt	(revision 1758)
+++ WAeUP_SRP/trunk/skins/waeup_default/import_form.pt	(revision 1759)
@@ -9,5 +9,5 @@
     <metal:block use-macro="here/waeup_content_master/macros/master">
       <metal:block fill-slot="main">
-      <h3>Import Data</h3>
+      <h3>Import Data!</h3>
       <br />      
         <form action="" id="editForm" method="post" 
@@ -18,5 +18,5 @@
           <br />
           <input type="submit" class="standalone" 
-                 name="import" value="import"
+                 name="import" value="Import"
                  tal:attributes="value button"
                  tal:condition="not:creation" />
Index: WAeUP_SRP/trunk/skins/waeup_utilities/setCurrentSession.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_utilities/setCurrentSession.py	(revision 1759)
+++ WAeUP_SRP/trunk/skins/waeup_utilities/setCurrentSession.py	(revision 1759)
@@ -0,0 +1,66 @@
+## Script (Python) "setCurrentSession"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=REQUEST
+##title=
+##
+# $Id: set_current_session.py 1757 2007-05-08 17:22:45Z joachim $
+"""
+set current_session of all students
+"""
+import logging
+logger = logging.getLogger('Skins.set_current_session')
+
+request = REQUEST
+response = request.RESPONSE
+try:
+    from Products.zdb import set_trace
+except:
+    def set_trace():
+        pass
+
+def rwrite(s):
+    response.setHeader('Content-type','text/html; charset=ISO-8859-15')
+    #response.setHeader('Content-length','%d' % (len(s)))
+    #response.setStatus('OK')
+    response.write("%s <br/>\n\r" % s)
+    return
+
+mtool = context.portal_membership
+member = mtool.getAuthenticatedMember()
+students_catalog = context.students_catalog
+students_folder = context.portal_url.getPortalObject().campus.students
+
+#rwrite("start")
+if str(member) not in ('admin','joachim'):
+    return
+all = students_catalog()
+logger.info('%s starts to set %s ' % (member,len(all)))
+c = 0
+count = 0
+not_count = 0
+#set_trace()
+for student in all:
+    c += 1
+    if c > 1000:
+        logger.info('%s set %d not_found %d ' % (member,count,not_count))
+        c = 0
+        context.waeup_tool.doCommit()
+    if not student.session:
+        try:
+            study_course_doc = getattr(getattr(students_folder,student.id),'study_course').getContent()
+            study_course_doc.edit(mapping = {'current_session': '06'})
+            count += 1
+            data = {'session':'06'}
+            data['id'] = student.id
+            students_catalog.modifyRecord(**data)
+        except:
+            not_count += 1
+            #rwrite("%s/study_course not found" % student.id)
+
+logger.info('%s finished to set %d of %d ' % (member,count,len(all)))
+return
+
Index: WAeUP_SRP/trunk/skins/waeup_utilities/set_current_session.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_utilities/set_current_session.py	(revision 1758)
+++ 	(revision )
@@ -1,66 +1,0 @@
-## Script (Python) "set_current_session"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=REQUEST
-##title=
-##
-# $Id$
-"""
-set current_session of all students
-"""
-import logging
-logger = logging.getLogger('Skins.set_current_session')
-
-request = REQUEST
-response = request.RESPONSE
-try:
-    from Products.zdb import set_trace
-except:
-    def set_trace():
-        pass
-
-def rwrite(s):
-    response.setHeader('Content-type','text/html; charset=ISO-8859-15')
-    #response.setHeader('Content-length','%d' % (len(s)))
-    #response.setStatus('OK')
-    response.write("%s <br/>\n\r" % s)
-    return
-
-mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
-students_catalog = context.students_catalog
-students_folder = context.portal_url.getPortalObject().campus.students
-
-#rwrite("start")
-if str(member) not in ('admin','joachim'):
-    return
-all = students_catalog()
-logger.info('%s starts to set %s ' % (member,len(all)))
-c = 0
-count = 0
-not_count = 0
-#set_trace()
-for student in all:
-    c += 1
-    if c > 1000:
-        logger.info('%s set %d not_found %d ' % (member,count,not_count))
-        c = 0
-        context.waeup_tool.doCommit()
-    if not student.session:
-        try:
-            study_course_doc = getattr(getattr(students_folder,student.id),'study_course').getContent()
-            study_course_doc.edit(mapping = {'current_session': '06'})
-            count += 1
-            data = {'session':'06'}
-            data['id'] = student.id
-            students_catalog.modifyRecord(**data)
-        except:
-            not_count += 1
-            #rwrite("%s/study_course not found" % student.id)
-
-logger.info('%s finished to set %d of %d ' % (member,count,len(all)))
-return
-