Index: WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py	(revision 1780)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py	(revision 1780)
@@ -0,0 +1,136 @@
+## Script (Python) "getAccommodationInfo"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=student_id=None
+##title=
+##
+# $Id: getAccommodationInfo.py 1726 2007-05-02 06:21:50Z henrik $
+"""
+return Info about the current Student
+"""
+import logging
+logger = logging.getLogger('Skins.getAccommodationInfo')
+import DateTime
+
+request = context.REQUEST
+mtool = context.portal_membership
+wf = context.portal_workflow
+member = mtool.getAuthenticatedMember()
+member_id = str(member)
+path_info = request.get('PATH_INFO').split('/')
+
+if mtool.isAnonymousUser():
+    return None
+info = {}
+if student_id is None:
+    requested_id = context.getStudentId()
+    if requested_id and not context.isStaff() and member_id != requested_id:
+        logger.info('%s tried to access %s' % (member_id,requested_id))
+        return None
+    elif context.isStaff():
+        student_id = requested_id
+    else:
+        student_id = member_id
+res = context.students_catalog(id=student_id)
+if len(res) != 1:
+    logger.info('%s not found in students_catalog' % student_id)
+    return None
+
+ekehuan_certificates = ('BARTAPG',
+                        'BARTAPM',
+                        'BARTCER',
+                        'BARTFAA',
+                        'BARTFAP',
+                        'BARTSCP',
+                        'BARTTXT',
+                        'BARTMAS',
+                        'BARTTHR',
+                        )
+pti_certificates = ('BENGIEP',
+                    'BENGGCPP',
+                    'BENGEEP',
+                    'BENGGEP',
+                    'BENGPEP',
+                    'BENGMEP',
+                    )
+s_brain = res[0]
+info['error'] = None
+info['matric_no']=s_brain.matric_no
+info['jamb_reg_no']=s_brain.jamb_reg_no
+info['name']=s_brain.name
+info['email']=s_brain.email
+info['level']=s_brain.level
+info['verdict']=getattr(s_brain,"verdict","N/A")
+
+
+students_object = context.portal_url.getPortalObject().campus.students
+student = getattr(students_object, student_id)
+info['id'] = student_id
+info['student'] = student
+review_state = info['review_state'] = wf.getInfoFor(student,'review_state',None)
+booking_allowed = False
+if review_state in ('cleared_and_validated','returning','school_fee_paid','courses_registered', 'courses_validated',):
+    booking_allowed = True
+    if s_brain.matric_no:
+        res = context.results_import(matric_no = s_brain.matric_no)
+        if res:
+            booking_allowed = info['verdict'] in ("A",
+                                                 "B",)
+info['booking_allowed'] = booking_allowed
+if not booking_allowed:
+    info['acco'] = None
+    return info
+acco_id = 'accommodation_2006'
+acco = getattr(student,acco_id,None)
+info['acco'] = acco
+info['acco_id'] = acco_id
+bt = 're'
+if acco is not None:
+    info['acco_doc'] = acco.getContent()
+    info['acco_review_state'] = wf.getInfoFor(acco,'review_state',None)
+d = {}
+if review_state == "cleared_and_validated":
+    bt = 'fr'
+elif int(s_brain.level) < 300:
+    bt = 're'
+else:
+    res = context.portal_catalog(portal_type = "Certificate", id = s_brain.course)
+    if res:
+        c_brain = res[0]
+        #from Products.zdb import set_trace; set_trace()
+        certificate = c_brain.getObject().getContent()
+        try:
+            certlevel = int(certificate.end_level)
+        except:
+            info["error"] = '"no end_level for","%s"' % c_brain.getId
+            return info
+        try:
+            studentlevel = int(s_brain.level)
+        except:
+            info["error"] = '"no level for","%s"' % s_brain.getId
+            return info
+        if studentlevel >= certlevel:
+            bt = "fi"
+d['sex'] = 'male'
+if s_brain.sex:
+    d['sex'] = 'female'
+if s_brain.course in ekehuan_certificates:
+    bt += "_ekenhuan"
+elif s_brain.course in pti_certificates:
+    bt += "_pti"
+elif s_brain.faculty in ('MED') and int(s_brain.level) >= 400:
+    bt += "_med"
+
+info['sex']=d['sex']
+
+
+d['bt'] = bt
+#from Products.zdb import set_trace
+#set_trace()
+student_status = "%(sex)s_%(bt)s" % d
+info['student_status'] = student_status
+return info
+